
.main_header {
  background: url("../img/header_background.png") center / cover no-repeat;
  width: 100%;
  height: 800px;
  position: relative;
  background-position-y: bottom;
}

.showMenu{
  display: none;
  cursor: pointer;
  &__first, &__second, &__third{
    width: 26px;
    height: 3px;
    background-color: $textColorFirst;
    margin: 6px 0;
    transition: 0.4s;
  }
  &__first{
    width: 15px;
    margin-left: 11px;
  }
}

.nav {
  display: grid;
  grid-template-columns: 1fr 4fr 0.5fr;
  padding-top: 29px;
  align-items: center;
  justify-items: end;
  &__logo {
    display: flex;
    align-items: center;
    text-decoration: none;
    list-style: none;
    &-title {
      @include text-style(24px, uppercase, 16px, #8D81AC, $font2, normal, bold);
      margin-left: 17px;
    }
  }
  &__logo:hover > img {
    content: url("../img/header_logo_hover.png");
    transition: 0.5s;
  }
  &__logo:hover > p {
    color: $textColorFirst;
    transition: 0.5s;

  }
}

.nav__menu {
  display: flex;
  &_link {
    @include text-style(16px, none, 24px, $accentColor, $font1, normal, bold);
    text-decoration: none;
    list-style: none;
  }
  &_link:hover {
    color: $textColorFirst;
  }
  &__item {
    margin-right: 48px;
  }
  &__btn {
    @include text-style(16px, none, 0, $textColorFirst, $font1, normal, bold);
    border-radius: 40px;
    background-color: $accentColor;
    width: 145px;
    height: 38px;
    cursor: pointer;
    border: none;
    outline: none;
  }
  &__btn:hover {
    background-color: $textColorFirst;
    color: $accentColor;
  }
}

.header {
  margin-top: 127px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  &__title {
    @include text-style(82px, none, 82px, $textColorFirst, $font1, normal, bold);
    margin-bottom: 19px;
  }
  &__text {
    @include text-style(30px, none, 30px, $accentColor, $font2, normal, normal);
    margin-bottom: 19px;
    text-align: center;
    &__after {
      @include text-style(16px, none, 16px, $accentColor, $font1, normal, normal);
      text-transform: uppercase;
    }
  }
}

.buttonsMobile {
  display: none;
}
@media (max-width: 1200px) {
  .container {
    //max-width: 1200px;
    min-width: 769px;
    padding: 0 10px;
    box-sizing: border-box;
  }
}
@media (max-width: 992px) {
  .container {
    max-width: 992px;
    padding: 0 10px;
    box-sizing: border-box;
  }
  .blockColor {
    background-color: #27262A;
  }
  .nav {
    display: grid;
    justify-items: normal;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows:repeat(2, 1fr);
    grid-template-areas:
            'logo btn'
            'menu menu';
    &__logo {
      grid-area:logo ;
    }
    &__menu {
      grid-area: menu;
      justify-self: center;
      &__item:last-child {
        margin-right: 0;
      }
      &__btn {
        grid-area: btn;
        justify-self: end;
      }
    }
  }
  .header {
    margin-top: 69px;
    &__title {
      font-size: 72px;
      line-height: 72px;
    }
    &__text {
      font-size: 24px;
      line-height: 24px;
      &__after{
        font-size: 14px;
        line-height: 14px;
     }
    }
  }
}
@media (max-width: 768px) {
  .container {
    //max-width: 768px;
    min-width: 481px;
    padding: 0 10px;
    box-sizing: border-box;
  }
  .nav__menu__item {
    margin-right: 9px;
  }
  .header__text {
    font-size: 18px;
    line-height: 18px;
  }
}
@media (max-width: 480px) {
  .container {
    min-width: 320px;
    padding: 0 10px;
    box-sizing: border-box;
  }
  .showMenu {
    display: inline-block;
    justify-self: end;
  }
  .buttonsMobile {
    justify-self: end;
    display: block;
  }
  .nav {
    position: relative;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
    padding-bottom: 32px;
    &__menu,&__logo-title {
      display: none;
    }
    &__menu {
      position: absolute;
      z-index: 1;
      background-color: #333333;
      top: 32px;
      width: 300px;
      justify-self: baseline;
      &__item {
        padding: 29px 0 21px 5px;
        margin: 0;
        border-bottom: 3px solid #3a3a3a;
      }
      &_link {
        @include text-style(26px, none, 26px, $textColorFirst, $font1, normal, normal);
        padding: 10px 0 10px 22px;
      }
      &__item:hover > &_link {
        color: $accentColor;
        border-left: 8px solid $accentColor;
      }
    }
    .active {
      display: block;
    }
    &__menu__btn {
      width: 119px;
      height: 37px;
    }
  }
  .header {
    margin-top: 50px;
    &__title {
      font-size: 48px;
      line-height: 48px;
    }
    &__text {
      font-size: 18px;
      line-height: 24px;
      &__after {
        font-size: 16px;
        line-height: 16px;
        text-transform: uppercase;
        display: inline-block;
      }
    }
  }
}
.disable {
  display: none;
}
.close {
  position: absolute;
  right: 0;
  top: 32px;
  width: 32px;
  height: 22px;
  opacity: 1;
  &:before, &:after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 33px;
    width: 2px;
    background-color: $textColorFirst;
  }
  &:before {
    transform: rotate(45deg);
  }
  &:after {
    transform: rotate(-45deg);
  }
}
.menu-icon {
  position: relative;
  width: 26px;
  height: 3px;
  background-color: $textColorFirst;
  margin-right: 3px;

  &::before {
    position: absolute;
    left: 0;
    top: -10px;
    content: '';
    width: 18px;
    margin-left: 8px;
    height: 3px;
    background-color: $textColorFirst;
  }
  &::after {
    position: absolute;
    left: 0;
    top: 10px;
    content: '';
    width: 26px;
    height: 3px;
    background-color: $textColorFirst;
  }
}
.download {
  @include text-style(21px, none, 22px, $textColorFirst, $font1, normal, normal);
  display: block;
  margin: 0 auto;
  border: 2px solid $accentColor;
  box-sizing: border-box;
  border-radius: 40px;
  padding: 18px 61px;
  background-color: $accentColor;
  outline: none;
  cursor: pointer;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0);
  bottom: -32px;
  white-space: nowrap;
  &:hover {
    background-color: $textColorFirst;
    color: $accentColor;
  }
  @media (max-width: 480px) {
    font-size: 18px;
    line-height: 20px;
    padding: 10px 29px;
    bottom: -19px;
  }
}
  
